Index: branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/OPA_SRC/CRS/crslbclnk.F90
===================================================================
--- branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/OPA_SRC/CRS/crslbclnk.F90	(revision 6805)
+++ branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/OPA_SRC/CRS/crslbclnk.F90	(revision 6808)
@@ -1,4 +1,3 @@
 MODULE crslbclnk
-
    !!======================================================================
    !!                       ***  MODULE  crslbclnk  ***
@@ -7,12 +6,11 @@
    !!=====================================================================
    !! History :   ! 2012-06  (J. Simeon, G. Madec, C. Ethe, C. Calone)     Original code
-
+   !!----------------------------------------------------------------------
+   USE par_kind, ONLY: wp
    USE dom_oce
    USE crs
+   !
    USE lbclnk
-   USE par_kind, ONLY: wp
    USE in_out_manager
-
-   
    
    INTERFACE crs_lbc_lnk
@@ -22,5 +20,9 @@
    PUBLIC crs_lbc_lnk
    
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
 
@@ -35,33 +37,30 @@
       !!                Upon exiting, switch back to full domain indices.
       !!----------------------------------------------------------------------
-      !! Arguments
-      CHARACTER(len=1)                , INTENT(in   )           ::   cd_type1 ! grid type
-      REAL(wp)                        , INTENT(in   )           ::   psgn     ! control of the sign
-
-      REAL(wp), DIMENSION(jpi_crs,jpj_crs,jpk), INTENT(inout)   ::   pt3d1 ! 3D array on which the lbc is applied
-      REAL(wp)                        , INTENT(in   ), OPTIONAL ::   pval     ! valeur sur les halo
-      CHARACTER(len=3)                , INTENT(in   ), OPTIONAL ::   cd_mpp    ! MPP only (here do nothing)
-      
-      !! local vairables
-      LOGICAL                                                   ::   ll_grid_crs
-      REAL(wp)                                                  ::   zval     ! valeur sur les halo
-
+      CHARACTER(len=1)                        , INTENT(in   ) ::   cd_type1 ! grid type
+      REAL(wp)                                , INTENT(in   ) ::   psgn     ! control of the sign
+      REAL(wp), DIMENSION(jpi_crs,jpj_crs,jpk), INTENT(inout) ::   pt3d1    ! 3D array on which the lbc is applied
+      REAL(wp)                      , OPTIONAL, INTENT(in   ) ::   pval     ! valeur sur les halo
+      CHARACTER(len=3)              , OPTIONAL, INTENT(in   ) ::   cd_mpp   ! MPP only (here do nothing)
+      !
+      LOGICAL  ::   ll_grid_crs
+      REAL(wp) ::   zval   ! valeur sur les halo
       !!----------------------------------------------------------------------
-      
+      !
       ll_grid_crs = ( jpi == jpi_crs )
-      
+      !
       IF( PRESENT(pval) ) THEN  ;  zval = pval
-      ELSE                      ;  zval = 0.0
+      ELSE                      ;  zval = 0._wp
       ENDIF
-      
-      IF( .NOT. ll_grid_crs )   CALL dom_grid_crs   ! Save the parent grid information  & Switch to coarse grid domain
-
+      !
+      IF( .NOT.ll_grid_crs )   CALL dom_grid_crs   ! Save the parent grid information  & Switch to coarse grid domain
+      !
       IF( PRESENT( cd_mpp ) ) THEN ; CALL lbc_lnk( pt3d1, cd_type1, psgn, cd_mpp, pval=zval  )
       ELSE                         ; CALL lbc_lnk( pt3d1, cd_type1, psgn, pval=zval  )
       ENDIF
-
-      IF( .NOT. ll_grid_crs )   CALL dom_grid_glo   ! Return to parent grid domain
-
+      !
+      IF( .NOT.ll_grid_crs )   CALL dom_grid_glo   ! Return to parent grid domain
+      !
    END SUBROUTINE crs_lbc_lnk_3d
+   
    
    SUBROUTINE crs_lbc_lnk_3d_gather( pt3d1, cd_type1, pt3d2, cd_type2, psgn )
@@ -75,22 +74,19 @@
       !!                Upon exiting, switch back to full domain indices.
       !!----------------------------------------------------------------------
-      !! Arguments
-      CHARACTER(len=1)                , INTENT(in   )           ::   cd_type1,cd_type2 ! grid type
-      REAL(wp)                        , INTENT(in   )           ::   psgn     ! control of the sign
-
-      REAL(wp), DIMENSION(jpi_crs,jpj_crs,jpk), INTENT(inout)   ::   pt3d1,pt3d2 ! 3D array on which the lbc is applied
-      
-      !! local vairables
-      LOGICAL                                                   ::   ll_grid_crs
+      CHARACTER(len=1)                        , INTENT(in   ) ::   cd_type1, cd_type2 ! grid type
+      REAL(wp)                                , INTENT(in   ) ::   psgn               ! control of the sign
+      REAL(wp), DIMENSION(jpi_crs,jpj_crs,jpk), INTENT(inout) ::   pt3d1   , pt3d2    ! 3D array on which the lbc is applied
+      !
+      LOGICAL ::   ll_grid_crs
       !!----------------------------------------------------------------------
-      
+      !
       ll_grid_crs = ( jpi == jpi_crs )
-      
-      IF( .NOT. ll_grid_crs )   CALL dom_grid_crs   ! Save the parent grid information  & Switch to coarse grid domain
-
+      !
+      IF( .NOT.ll_grid_crs )   CALL dom_grid_crs   ! Save the parent grid information  & Switch to coarse grid domain
+      !
       CALL lbc_lnk( pt3d1, cd_type1, pt3d2, cd_type2, psgn  )
-
-      IF( .NOT. ll_grid_crs )   CALL dom_grid_glo   ! Return to parent grid domain
-
+      !
+      IF( .NOT.ll_grid_crs )   CALL dom_grid_glo   ! Return to parent grid domain
+      !
    END SUBROUTINE crs_lbc_lnk_3d_gather
 
@@ -107,34 +103,30 @@
       !!                Upon exiting, switch back to full domain indices.
       !!----------------------------------------------------------------------
-      !! Arguments
-      CHARACTER(len=1)                , INTENT(in   )           ::   cd_type  ! grid type
-      REAL(wp)                        , INTENT(in   )           ::   psgn     ! control of the sign
-
-      REAL(wp), DIMENSION(jpi_crs,jpj_crs),     INTENT(inout)   ::   pt2d     ! 2D array on which the lbc is applied
-      REAL(wp)                        , INTENT(in   ), OPTIONAL ::   pval     ! valeur sur les halo
-      CHARACTER(len=3)                , INTENT(in   ), OPTIONAL ::   cd_mpp   ! MPP only (here do nothing)
-      !! local variables
-      
-      LOGICAL                                                   ::   ll_grid_crs
-      REAL(wp)                                                  ::   zval     ! valeur sur les halo
-
+      CHARACTER(len=1)                    , INTENT(in   ) ::   cd_type  ! grid type
+      REAL(wp)                            , INTENT(in   ) ::   psgn     ! control of the sign
+      REAL(wp), DIMENSION(jpi_crs,jpj_crs), INTENT(inout) ::   pt2d     ! 2D array on which the lbc is applied
+      REAL(wp)                  , OPTIONAL, INTENT(in   ) ::   pval     ! valeur sur les halo
+      CHARACTER(len=3)          , OPTIONAL, INTENT(in   ) ::   cd_mpp   ! MPP only (here do nothing)
+      !      
+      LOGICAL  ::   ll_grid_crs
+      REAL(wp) ::   zval     ! valeur sur les halo
       !!----------------------------------------------------------------------
-      
+      !
       ll_grid_crs = ( jpi == jpi_crs )
-      
+      !
       IF( PRESENT(pval) ) THEN  ;  zval = pval
-      ELSE                      ;  zval = 0.0
+      ELSE                      ;  zval = 0._wp
       ENDIF
-      
-      IF( .NOT. ll_grid_crs )   CALL dom_grid_crs   ! Save the parent grid information  & Switch to coarse grid domain
-
+      !
+      IF( .NOT.ll_grid_crs )   CALL dom_grid_crs   ! Save the parent grid information  & Switch to coarse grid domain
+      !
       IF( PRESENT( cd_mpp ) ) THEN ; CALL lbc_lnk( pt2d, cd_type, psgn, cd_mpp, pval=zval  )
       ELSE                         ; CALL lbc_lnk( pt2d, cd_type, psgn, pval=zval  )
       ENDIF
-
-      IF( .NOT. ll_grid_crs )   CALL dom_grid_glo   ! Return to parent grid domain
-
+      !
+      IF( .NOT.ll_grid_crs )   CALL dom_grid_glo   ! Return to parent grid domain
+      !
    END SUBROUTINE crs_lbc_lnk_2d
 
-
+   !!======================================================================
 END MODULE crslbclnk
